Package org.eclipse.lemminx.extensions.generators

## Class ContainerDeclaration

- java.lang.Object
- - org.eclipse.lemminx.extensions.generators.ContainerDeclaration

Direct Known Subclasses:
  `ElementDeclaration`, `Grammar`

    public class ContainerDeclaration
    extends Object

Children information.

### Constructor Summary

Constructors
`ContainerDeclaration()`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `addElement​(ElementDeclaration element)`
`ElementDeclaration` `getElement​(String name)` Returns the element information for the given name and create it if not found.
`Collection<ElementDeclaration>` `getElements()` Returns the elements information of the node.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### ContainerDeclaration

    public ContainerDeclaration()

### Method Detail

#### getElement

    public ElementDeclaration getElement​(String name)

Returns the element information for the given name and create it if not found.

Parameters:
  `name` - the element name
Returns:
  the element information for the given name and create it if not found.

#### addElement

    public void addElement​(ElementDeclaration element)

#### getElements

    public Collection<ElementDeclaration> getElements()

Returns the elements information of the node.

Returns:
  the elements information of the node.